<?php
/**
*	此文件是流程模块【assetmuse.固定资产申领】对应控制器接口文件。
*/ 
class mode_assetmuseClassAction extends inputAction{
	
	/**
	*	重写函数：保存前处理，主要用于判断是否可以保存
	*	$table String 对应表名
	*	$arr Array 表单参数
	*	$id Int 对应表上记录Id 0添加时，大于0修改时
	*	$addbo Boolean 是否添加时
	*	return array('msg'=>'错误提示内容','rows'=> array()) 可返回空字符串，或者数组 rows 是可同时保存到数据库上数组
	*/
	protected function savebefore($table, $arr, $id, $addbo){
        $mArr = [];
        $mArr['usename'] = $arr['user'];
        $mArr['deptname'] = $arr['dept'];
        $mArr['state'] = 1;
        $where = ' id = '.$arr['assetm_id'];
        $arr['assetm_id'] = '';
        m('assetm')->update($mArr,$where);
        return ['rows'=>$arr];
	}
	
	/**
	*	重写函数：保存后处理，主要保存其他表数据
	*	$table String 对应表名
	*	$arr Array 表单参数
	*	$id Int 对应表上记录Id
	*	$addbo Boolean 是否添加时
	*/	
	protected function saveafter($table, $arr, $id, $addbo){

	}

	 public function getassetmnumbAjax(){
	    $id = $this->post('num');
        $sql = 'id = '.$id;
        $data = m('assetm')->getone($sql,"title,price,buydt,CONCAT('型号：',`model_type`,'   机器编号:',`model_id`,'   处理器(CPU):',`model_cpu`,'  内存：',`model_ram`,'   硬盘:',`model_hdd`,'   显卡:',`model_vc`,'   操作系统:',`model_os`) as info");
        $data['assetm_id'] = $id;
        $this->returnjson($data);
	}
}
			